Bug 1022541 - openstack-glance: glance image-show should have the same output with and without --os-image-api-version 2
openstack-glance: glance image-show should have the same output with and with...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
4.0
All Linux
unspecified Severity medium
: ---
: 4.0
Assigned To: RHOS Maint
Haim
https://bugs.launchpad.net/glance/+bu...
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 09:38 EDT by Yogev Rabl
Modified: 2016-04-26 20:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 06:29:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yogev Rabl 2013-10-23 09:38:25 EDT
Description of problem:
The glance image-show output is different when using API version 1 and API version 2. There is no reason why we need API version 1 output in this command, it should run with API version 2 as default.

Version-Release number of selected component (if applicable):
openstack-glance-2013.2-0.12.rc1.el6ost.noarch

How reproducible:
everytime

Steps to Reproduce:
1. Run: 
  # glance image-show <image-id>
2.Run:
  # glance --os-image-api-version 2  image-show <image-id>
3. 

Actual results:
There's different output.

Expected results:
the same output

Additional info:
Comment 2 Ayal Baron 2013-10-29 06:29:20 EDT
The issue here is that the API defaults to V1 and not V2.
This is a general discussion for upstream to have.

Note You need to log in before you can comment on or make changes to this bug.